Update auth configpatch {protocol}://{base-url}/ai/api/v1/auth_configs/{auth_config_id}Update an authentication configuration.Path Paramsauth_config_idstringrequiredThe ID of the Auth Config.Body ParamsSchema for updating an auth config. Note: The auth_type field cannot be changed after creation. To use a different authentication type, delete the existing config and create a new one. All fields are optional. Only provided fields will be updated. Set a field to null to clear its value.namestringnullDisplay name for this auth config.custom_headersobject | nullCustom HTTP headers to include with requests.Custom Headers object | nullusernamestringnullUsername for BASIC authentication.passwordstringnullPassword for BASIC authentication.token_urlstringnullOAuth token endpoint URL.client_idstringnullOAuth client ID.client_secretstringnullOAuth client secret.scopesstringnullSpace-separated OAuth scopes.authorization_urlstringnullOAuth authorization endpoint URL.allowed_redirect_urisarray | nullAllowed redirect URIs for OAuth authorization code flow.Allowed Redirect Uris array | nulluse_pkcebooleannullWhether to use PKCE for AUTHORIZATION_CODE flow.truefalseResponses 200Successful Response 401Authentication required. No valid session cookie or bearer token provided, or authentication failed. 404Resource not found. The detail field specifies which resource. 422Validation Error 500Internal server error during request processing.Updated 3 days ago Get auth configDelete auth configDid this page help you?YesNo